upgrade from 18.04 to 20.04 fails to calculate if python-dbg is installed

Bug #1887544 reported by AMR on 2020-07-14
84
This bug affects 12 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray
Focal
High
Brian Murray
Groovy
Undecided
Unassigned

Bug Description

Impact
------
Users with the package python-dbg installed on their system are unable to upgrade from Ubuntu 18.04 LTS to Ubuntu 20.04 LTS as the upgrade path is not calculable. Additionally, other python packages from Ubuntu 18.04 will be left installed or removed when they should not be.

Test Case
---------
[python-dbg]
1) On an Ubuntu 18.04 LTS system install python-qt4-dbg (or some set of packages which depend on it)
2) Run do-release-upgrade
3) Observe a message regarding a failure to calculate the upgrade

With the dist-upgrader from -proposed there will be no such failure to calculate the upgrade.

[python-doc]
1) On an Ubuntu 18.04 LTS system install python-doc
2) Run do-release-upgrade
3) Say Y to removing obsolete packages
4) Observe that python-doc is still installed on the system

With the version of the dist-upgrader from -proposed python-doc will not be installed after the upgrade and python2-doc will be.

[python-dev]
1) On an Ubuntu 18.04 LTS system install python-dev
2) Run do-release-upgrade
3) Say Y to removing obsolete packages
4) Observe that python-dev is still installed on the system

With the version of the dist-ugprader from -proposed python-dev will not be installed after the upgrade and python2-dev will be installed. Additionally, python-dev-is-python2 will be installed.

Regression Potential
--------------------
The logic of the "_install_python_is_python2" quirk is essentially the same but the set of replacements is being expanded so we should ensure that this does not cause any additional package removals which may are unwanted.

Original Description
--------------------
the problem is during issue this command from terminal to start upgrade
process from 18.04 to 20.04

$cat /etc/lsb-release

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=18.04
DISTRIB_CODENAME=bionic
DISTRIB_DESCRIPTION="Ubuntu 18.04.4 LTS"

$ uname -mrs

Linux 5.3.0-62-generic x86_64

Using this command
sudo do-release-upgrade -d
this is the output

[sudo] password for amr:
Checking for a new Ubuntu release
Get:1 Upgrade tool signature [1,554 B]
Get:2 Upgrade tool [1,342 kB]
Fetched 1,343 kB in 6s (211 kB/s)
authenticate 'focal.tar.gz' against 'focal.tar.gz.gpg'
extracting 'focal.tar.gz'

Reading cache

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Hit http://archive.ubuntu.com/ubuntu bionic InRelease
Get:1 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Get:2 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Get:3 http://archive.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Get:4 http://archive.ubuntu.com/ubuntu bionic-security/main amd64 Packages [783 kB]
Get:5 http://archive.ubuntu.com/ubuntu bionic-security/main i386 Packages [506 kB]
Get:6 http://archive.ubuntu.com/ubuntu bionic-security/universe amd64 Packages [679 kB]
Get:7 http://archive.ubuntu.com/ubuntu bionic-security/universe i386 Packages [625 kB]
Fetched 2,845 kB in 6s (15.3 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done

Checking for installed snaps

Calculating snap size requirements

Updating repository information
Hit http://archive.ubuntu.com/ubuntu focal InRelease
Hit http://archive.ubuntu.com/ubuntu focal-updates InRelease
Hit http://archive.ubuntu.com/ubuntu focal-backports InRelease
Hit http://archive.ubuntu.com/ubuntu focal-security InRelease
Fetched 0 B in 6s (0 B/s)

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done

Calculating the changes

Calculating the changes

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade.

This was caused by:
* Upgrading to a pre-release version of Ubuntu
This is most likely a transient problem,
please try again later.
If none of this applies, then please report this bug using the
command 'ubuntu-bug ubuntu-release-upgrader-core' in a terminal. If
you want to investigate this yourself the log files in
'/var/log/dist-upgrade' will contain details about the upgrade.
Specifically, look at 'main.log' and 'apt.log'.

Restoring original system state

Aborting
Reading package lists... Done
Building dependency tree
Reading state information... Done

ProblemType: BugDistroRelease: Ubuntu 18.04
Package: ubuntu-release-upgrader-core 1:18.04.37
ProcVersionSignature: Ubuntu 5.3.0-62.56~18.04.1-generic 5.3.18
Uname: Linux 5.3.0-62-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.15
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: ubuntu:GNOME
Date: Tue Jul 14 17:08:10 2020
InstallationDate: Installed on 2020-02-27 (137 days ago)
InstallationMedia: Ubuntu 18.04.4 LTS "Bionic Beaver" - Release amd64 (20200203.1)
PackageArchitecture: allSourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to bionic on 2020-07-14 (0 days ago)

Related branches

AMR (amr-mahmoud38) wrote :
AMR (amr-mahmoud38) wrote :
AMR (amr-mahmoud38) wrote :
AMR (amr-mahmoud38) on 2020-07-14
description: updated
description: updated
AMR (amr-mahmoud38) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Brian Murray (brian-murray) wrote :

There is a new version of the release upgrader now which may resolve your issue. Could you please try the upgrade again?

Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Incomplete
AMR (amr-mahmoud38) wrote :
Download full text (20.1 KiB)

still the same problem please see the output

sudo do-release-upgrade -d
Checking for a new Ubuntu release
Get:1 Upgrade tool signature [1,554 B]
Get:2 Upgrade tool [1,333 kB]
Fetched 1,334 kB in 6s (0 B/s)
authenticate 'focal.tar.gz' against 'focal.tar.gz.gpg'
extracting 'focal.tar.gz'

Reading cache

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Hit http://archive.ubuntu.com/ubuntu bionic InRelease
Get:1 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Get:2 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Get:3 http://archive.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Fetched 252 kB in 6s (27.1 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done

Checking for installed snaps

Calculating snap size requirements

Updating repository information
Get:1 http://archive.ubuntu.com/ubuntu focal InRelease [265 kB]
Get:2 http://archive.ubuntu.com/ubuntu focal-updates InRelease [111 kB]
Get:3 http://archive.ubuntu.com/ubuntu focal-backports InRelease [98.3 kB]
Get:4 http://archive.ubuntu.com/ubuntu focal-security InRelease [107 kB]
Get:5 http://archive.ubuntu.com/ubuntu focal/main i386 Packages [718 kB]
Get:6 http://arch...

Brian Murray (brian-murray) wrote :

I'll need to see the latest version of /var/log/dist-upgrade/main.log and /var/log/dist-upgrade/apt.log to be able to further diagnosis the upgrade failure.

AMR (amr-mahmoud38) wrote :
AMR (amr-mahmoud38) wrote :
Brian Murray (brian-murray) wrote :

I was able to recreate the upgrade failure by installing the following packages:

python-pyqt5.qtwebchannel
python-pyqt5.qtsensors-dbg
python-pyqt5.qtopengl-dbg

I'm not sure if all three are required if a subset will also produce the error.

Brian Murray (brian-murray) wrote :

Digging into it further just installing python-pyqt5-dbg causes the upgrade to fail to calculate.

AMR (amr-mahmoud38) wrote :

Thanks a lot the problem is solved ,
I am able now to upgrade normally
thanks a lot for your help and support

$uname -mrs
Linux 5.4.0-42-generic x86_64

$cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.04
DISTRIB_CODENAME=focal
DISTRIB_DESCRIPTION="Ubuntu 20.04.1 LTS"

Changed in ubuntu-release-upgrader (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → High
summary: - can not upgrade from 18.04 to 20.04
+ upgrade from 18.04 to 20.04 fails to calculate if python-pyqt5-dbg is
+ installed
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)

thanks the problem is solved I am now able to upgrade

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.10.12

---------------
ubuntu-release-upgrader (1:20.10.12) groovy; urgency=medium

  [ Chad Smith ]
  * data/mirrors.cfg: add ubuntu advantage pro PPA url as valid mirror
    (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: In addition to quirking python-minimal
    we also need to quirk python-dbg. (LP: #1887544)
  * Update demotions and mirrors data.

 -- Chad Smith <email address hidden> Tue, 22 Sep 2020 16:59:52 -0600

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
description: updated
description: updated
description: updated
summary: - upgrade from 18.04 to 20.04 fails to calculate if python-pyqt5-dbg is
+ upgrade from 18.04 to 20.04 fails to calculate if python-dbg is
installed

Hello AMR, or anyone else affected,

Accepted ubuntu-release-upgrader into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.04.28 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Michał Margula (michal-z) wrote :

Hi,

Would you be able to provide similar package to bionic-proposal? Current version there is 18.04.39 and it does not fix this issue. I just checked.

Kind regards,
Michał

On Fri, Oct 09, 2020 at 07:18:54PM -0000, Michał Margula wrote:
> Hi,
>
> Would you be able to provide similar package to bionic-proposal? Current
> version there is 18.04.39 and it does not fix this issue. I just
> checked.

When you upgrade from Ubuntu 18.04 to Ubuntu 20.04 a tarball of the code
as it exists in Ubuntu 20.04 is downloaded and executed to perform the
upgrade. If you want to test the new version of the dist-upgrader run
the following in a terminal:

do-release-upgrade -p

--
Brian Murray

Michał Margula (michal-z) wrote :

Hi Brian,

Thank you for the -p switch. Unfortunately upgrade still fails for me. With the same error I posted in bug #1898109. I attached current log files form do-release-upgrade.

Michał Margula (michal-z) wrote :
Michał Margula (michal-z) wrote :
Brian Murray (brian-murray) wrote :

Michał - This is because you have the gnuradio-dev package installed. We are still working on sorting upgrades with that package installed and that is being tracked in bug 1898152.

description: updated
Brian Murray (brian-murray) wrote :

I tested the dist-upgrader from -proposed for the python-qt4-dbg test case and the test succeeded.

bdmurray@clean-bionic-amd64:~$ head -n5 /var/log/dist-upgrade/main.log
2020-10-12 08:40:21,301 INFO Using config files '['./DistUpgrade.cfg.bionic']'
2020-10-12 08:40:21,301 INFO uname information: 'Linux clean-bionic-amd64 5.4.0-48-generic #52~18.04.1-Ubuntu SMP Thu Sep 10 12:50:22 UTC 2020 x86_64'
2020-10-12 08:40:21,726 INFO apt version: '1.6.12ubuntu0.1'
2020-10-12 08:40:21,727 INFO python version: '3.6.9 (default, Jul 17 2020, 12:50:27)
[GCC 8.4.0]'
bdmurray@clean-bionic-amd64:~$ head -n6 /var/log/dist-upgrade/main.log
2020-10-12 08:40:21,301 INFO Using config files '['./DistUpgrade.cfg.bionic']'
2020-10-12 08:40:21,301 INFO uname information: 'Linux clean-bionic-amd64 5.4.0-48-generic #52~18.04.1-Ubuntu SMP Thu Sep 10 12:50:22 UTC 2020 x86_64'
2020-10-12 08:40:21,726 INFO apt version: '1.6.12ubuntu0.1'
2020-10-12 08:40:21,727 INFO python version: '3.6.9 (default, Jul 17 2020, 12:50:27)
[GCC 8.4.0]'
2020-10-12 08:40:21,730 INFO release-upgrader version '20.04.28' started

bdmurray@clean-bionic-amd64:~$ grep python-dbg /var/log/dist-upgrade/main.log
2020-10-12 08:40:49,031 INFO checking for python-dbg
2020-10-12 08:40:49,031 INFO installing python2-dbg because python-dbg was installed
2020-10-12 08:40:49,031 DEBUG Installing 'python2-dbg' (python-dbg was installed on the system)
2020-10-12 08:40:49,177 INFO removing python-dbg because python2-dbg is being installed
2020-10-12 08:40:49,177 DEBUG Removing 'python-dbg' (python2-dbg is being installed on the system)
2020-10-12 08:40:49,177 INFO failed to remove python-dbg

Despite the message in the log file python-dbg is not installed:

bdmurray@clean-bionic-amd64:~$ apt-cache policy python-dbg
python-dbg:
  Installed: (none)
  Candidate: (none)
  Version table:

bdmurray@clean-bionic-amd64:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.04
DISTRIB_CODENAME=focal
DISTRIB_DESCRIPTION="Ubuntu 20.04.1 LTS"

So part of this verification is done.

Brian Murray (brian-murray) wrote :

I tested the version of the dist-upgrader from -proposed for the python-doc version of the test case. After the upgrade python-doc was no longer installed (although there was the same weiredness about it not being removed in the log) so I consider this part verified.

bdmurray@clean-bionic-amd64:~$ head -n6 /var/log/dist-upgrade/main.log
2020-10-12 09:52:30,301 INFO Using config files '['./DistUpgrade.cfg.bionic']'
2020-10-12 09:52:30,301 INFO uname information: 'Linux clean-bionic-amd64 5.4.0-48-generic #52~18.04.1-Ubuntu SMP Thu Sep 10 12:50:22 UTC 2020 x86_64'
2020-10-12 09:52:30,703 INFO apt version: '1.6.12ubuntu0.1'
2020-10-12 09:52:30,704 INFO python version: '3.6.9 (default, Jul 17 2020, 12:50:27)
[GCC 8.4.0]'
2020-10-12 09:52:30,706 INFO release-upgrader version '20.04.28' started

bdmurray@clean-bionic-amd64:~$ grep python-doc /var/log/dist-upgrade/main.log
2020-10-12 09:53:29,948 INFO checking for python-doc
2020-10-12 09:53:29,948 INFO installing python2-doc because python-doc was installed
2020-10-12 09:53:29,948 DEBUG Installing 'python2-doc' (python-doc was installed on the system)
2020-10-12 09:53:29,978 INFO removing python-doc because python2-doc is being installed
2020-10-12 09:53:29,978 DEBUG Removing 'python-doc' (python2-doc is being installed on the system)
2020-10-12 09:53:29,978 INFO failed to remove python-doc

bdmurray@clean-bionic-amd64:~$ apt-cache policy python-doc
python-doc:
  Installed: (none)
  Candidate: (none)
  Version table:
bdmurray@clean-bionic-amd64:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.04
DISTRIB_CODENAME=focal
DISTRIB_DESCRIPTION="Ubuntu 20.04.1 LTS"

Brian Murray (brian-murray) wrote :

I tested the version of the dist-upgrader from -proposed for the python-dev version of the test case. After the upgrade python-dev was no longer installed (although there was the same weiredness about it not being removed in the log) so I consider this part verified.

bdmurray@clean-bionic-amd64:~$ head -n6 /var/log/dist-upgrade/main.log
2020-10-12 12:27:26,672 INFO Using config files '['./DistUpgrade.cfg.bionic']'
2020-10-12 12:27:26,672 INFO uname information: 'Linux clean-bionic-amd64 5.4.0-48-generic #52~18.04.1-Ubuntu SMP Thu Sep 10 12:50:22 UTC 202
0 x86_64'
2020-10-12 12:27:27,169 INFO apt version: '1.6.12ubuntu0.1'
2020-10-12 12:27:27,170 INFO python version: '3.6.9 (default, Jul 17 2020, 12:50:27)
[GCC 8.4.0]'
2020-10-12 12:27:27,172 INFO release-upgrader version '20.04.28' started
...
2020-10-12 12:31:43,686 INFO checking for python-dev
2020-10-12 12:31:43,686 INFO installing python-dev-is-python2 because python-dev was installed
2020-10-12 12:31:43,686 DEBUG Installing 'python-dev-is-python2' (python-dev was installed on the system)
2020-10-12 12:31:43,715 INFO removing python-dev because python-dev-is-python2 is being installed
2020-10-12 12:31:43,715 DEBUG Removing 'python-dev' (python-dev-is-python2 is being installed on the system)
2020-10-12 12:31:43,715 INFO failed to remove python-dev
2020-10-12 12:31:43,715 INFO checking for libpython-dev
2020-10-12 12:31:43,715 INFO removing libpython-dev because None is being installed
2020-10-12 12:31:43,715 DEBUG Removing 'libpython-dev' (None is being installed on the system)
2020-10-12 12:31:43,715 INFO failed to remove libpython-dev

bdmurray@clean-bionic-amd64:~$ apt-cache policy python-dev
python-dev:
  Installed: (none)
  Candidate: (none)
  Version table:
bdmurray@clean-bionic-amd64:~$ apt-cache policy libpython-dev
libpython-dev:
  Installed: (none)
  Candidate: (none)
  Version table:
bdmurray@clean-bionic-amd64:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.04
DISTRIB_CODENAME=focal
DISTRIB_DESCRIPTION="Ubuntu 20.04.1 LTS"

Brian Murray (brian-murray) wrote :

Further verification of the python-dev test case. The following packages were installed:

bdmurray@clean-bionic-amd64:~$ apt-cache policy python-dev-is-python2
python-dev-is-python2:
  Installed: 2.7.17-4
  Candidate: 2.7.17-4
  Version table:
 *** 2.7.17-4 500
        500 http://192.168.10.7/ubuntu focal/universe amd64 Packages
        500 http://192.168.10.7/ubuntu focal/universe i386 Packages
        100 /var/lib/dpkg/status
bdmurray@clean-bionic-amd64:~$ apt-cache policy python2-dev
python2-dev:
  Installed: 2.7.17-2ubuntu4
  Candidate: 2.7.17-2ubuntu4
  Version table:
 *** 2.7.17-2ubuntu4 500
        500 http://192.168.10.7/ubuntu focal/universe amd64 Packages
        100 /var/lib/dpkg/status

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.04.28

---------------
ubuntu-release-upgrader (1:20.04.28) focal; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: In addition to quirking python-minimal
    we also need to quirk python-dbg, python-doc, and python-dev.
    (LP: #1887544)
  * drop changes to data/DistUpgrade.cfg.bionic regarding
    gnome-software-plugin-snap as it failed verification.

  [ Chad Smith ]
  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal and
    Ubuntu Pro stable public PPA. (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

 -- Chad Smith <email address hidden> Wed, 07 Oct 2020 10:49:37 -0600

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Fix Committed → Fix Released

Hello AMR, or anyone else affected,

Accepted ubuntu-release-upgrader into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.10.13 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: New → Fix Committed
tags: added: verification-needed verification-needed-groovy
removed: verification-done
Brian Murray (brian-murray) wrote :

This change to the dist-upgrader code for Groovy has no effect on the release upgrade process as python-dev is not available in Ubuntu 20.04 LTS, given that upgrades still work with the new release upgrader I'm setting this to verification-done.

tags: added: verification-done verification-done-groovy
removed: verification-needed verification-needed-groovy
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.10.13

---------------
ubuntu-release-upgrader (1:20.10.13) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Replace python-dev with
    python-dev-is-python2 rather than with nothing as that is a better upgrade
    path. (LP: #1887544)
  * DistUpgrade/DistUpgradeViewGtk3.py, DistUpgrade/DistUpgradeViewKDE.py:
    Change the window label from 20.04 to 20.10. (LP: #1901377)
  * Update mirrors and demotions.

 -- Brian Murray <email address hidden> Mon, 26 Oct 2020 10:41:49 -0700

Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: Fix Committed → Fix Released
Toto (chomisyann) wrote :

Hi,
It failes on me too. Using Ubuntu mat 18 LTS trying to move to 20.
Tried to reinstall / mess around python packages with apt with no luck...

2020-12-20 16:36:19,355 DEBUG entry 'deb http://security.ubuntu.com/ubuntu focal-security multiverse' updated to new dist
2020-12-20 16:36:19,398 DEBUG running doUpdate() (showErrors=True)
2020-12-20 16:36:23,994 DEBUG openCache()
2020-12-20 16:36:24,764 DEBUG Comparing 5.4.0-54 with
2020-12-20 16:36:24,764 DEBUG Comparing 5.4.0-56 with 5.4.0-54
2020-12-20 16:36:24,764 DEBUG Comparing 5.4.0-58 with 5.4.0-56
2020-12-20 16:36:24,917 DEBUG /openCache(), new cache size 67029
2020-12-20 16:36:24,918 DEBUG need_server_mode(): run in 'desktop' mode, (because of pkg 'ubuntu-mate-core')
2020-12-20 16:36:24,919 DEBUG quirks: running PreDistUpgradeCache
2020-12-20 16:36:24,919 DEBUG running Quirks.PreDistUpgradeCache
2020-12-20 16:36:24,919 INFO checking for python-dbg
2020-12-20 16:36:24,919 INFO installing python2-dbg because python-dbg was installed
2020-12-20 16:36:24,919 DEBUG Installing 'python2-dbg' (python-dbg was installed on the system)
2020-12-20 16:36:25,268 ERROR Dist-upgrade failed: 'E:Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».'
2020-12-20 16:36:25,273 DEBUG abort called
2020-12-20 16:36:25,275 DEBUG openCache()
2020-12-20 16:36:28,308 DEBUG Comparing 5.4.0-54 with
2020-12-20 16:36:28,309 DEBUG Comparing 5.4.0-56 with 5.4.0-54
2020-12-20 16:36:28,309 DEBUG Comparing 5.4.0-58 with 5.4.0-56
2020-12-20 16:36:28,529 DEBUG /openCache(), new cache size 100865
----
apt-mark showhold
=>NOTHING

Stefano Musso (stefanomusso70) wrote :

Hi, It failes on me too.

2020-12-30 12:27:48,527 DEBUG running doUpdate() (showErrors=True)
2020-12-30 12:28:32,672 DEBUG openCache()
2020-12-30 12:28:33,964 DEBUG Comparing 5.4.0-56 with
2020-12-30 12:28:33,964 DEBUG Comparing 5.4.0-58 with 5.4.0-56
2020-12-30 12:28:34,246 DEBUG /openCache(), new cache size 67018
2020-12-30 12:28:34,246 DEBUG need_server_mode(): run in 'desktop' mode, (because of pkg 'ubuntu-desktop')
2020-12-30 12:28:34,247 DEBUG quirks: running PreDistUpgradeCache
2020-12-30 12:28:34,247 DEBUG running Quirks.PreDistUpgradeCache
2020-12-30 12:28:34,247 INFO checking for python-dbg
2020-12-30 12:28:34,247 INFO installing python2-dbg because python-dbg was installed
2020-12-30 12:28:34,247 DEBUG Installing 'python2-dbg' (python-dbg was installed on the system)
2020-12-30 12:28:34,568 ERROR Dist-upgrade failed: 'E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.'
2020-12-30 12:28:34,570 DEBUG abort called
2020-12-30 12:28:34,571 DEBUG openCache()
2020-12-30 12:28:38,463 DEBUG Comparing 5.4.0-56 with
2020-12-30 12:28:38,463 DEBUG Comparing 5.4.0-58 with 5.4.0-56
2020-12-30 12:28:38,909 DEBUG /openCache(), new cache size 100882

Stefano Musso (stefanomusso70) wrote :

With command "do-release-upgrade -p" I use the 20.04.29 upgrader release.

How can I test the 20.10.13 upgrader release?

Toto (chomisyann) wrote :
Download full text (6.6 KiB)

Hello,
Still cannot update from up to date 18.04.5 LTS to 20.
I have tried to re install every python package...deactivate every PPAs...

2021-02-21 08:32:44,663 INFO Using config files '['./DistUpgrade.cfg.bionic']'
2021-02-21 08:32:44,664 INFO uname information: 'Linux yann-ThinkPad-E590 5.4.0-65-generic #73~18.04.1-Ubuntu SMP Tue Jan 19 09:02:24 UTC 2021 x86_64'
2021-02-21 08:32:45,157 INFO apt version: '1.6.12ubuntu0.2'
2021-02-21 08:32:45,157 INFO python version: '3.6.9 (default, Oct 8 2020, 12:12:24)
[GCC 8.4.0]'
2021-02-21 08:32:45,162 INFO release-upgrader version '20.04.29' started
2021-02-21 08:32:45,227 INFO locale: 'fr_FR' 'UTF-8'
2021-02-21 08:32:45,544 DEBUG Using 'DistUpgradeViewGtk3' view
2021-02-21 08:32:45,584 DEBUG enable dpkg --force-overwrite
2021-02-21 08:32:45,599 DEBUG creating statefile: '/var/log/dist-upgrade/apt-clone_system_state.tar.gz'
2021-02-21 08:32:49,070 DEBUG lsb-release: 'bionic'
2021-02-21 08:32:49,070 DEBUG _pythonSymlinkCheck run
2021-02-21 08:32:49,071 DEBUG openCache()
2021-02-21 08:32:49,071 DEBUG quirks: running PreCacheOpen
2021-02-21 08:32:49,071 DEBUG running Quirks.PreCacheOpen
2021-02-21 08:32:50,070 DEBUG Comparing 5.4.0-64 with
2021-02-21 08:32:50,070 DEBUG Comparing 5.4.0-65 with 5.4.0-64
2021-02-21 08:32:50,268 DEBUG /openCache(), new cache size 101813
2021-02-21 08:32:50,269 DEBUG need_server_mode(): run in 'desktop' mode, (because of pkg 'ubuntu-mate-core')
2021-02-21 08:32:50,269 DEBUG checkViewDepends()
2021-02-21 08:32:50,273 DEBUG running doUpdate() (showErrors=False)
2021-02-21 08:32:51,208 DEBUG openCache()
2021-02-21 08:32:52,215 DEBUG Comparing 5.4.0-64 with
2021-02-21 08:32:52,215 DEBUG Comparing 5.4.0-65 with 5.4.0-64
2021-02-21 08:32:52,427 DEBUG /openCache(), new cache size 101813
2021-02-21 08:32:52,427 DEBUG doPostInitialUpdate
2021-02-21 08:32:52,427 DEBUG quirks: running focalPostInitialUpdate
2021-02-21 08:32:52,427 DEBUG running Quirks.focalPostInitialUpdate
2021-02-21 08:32:54,881 DEBUG MetaPkgs: ubuntu-mate-core ubuntu-mate-desktop
2021-02-21 08:32:57,852 DEBUG Foreign:
2021-02-21 08:32:57,852 DEBUG Obsolete: code golang-1.15-go golang-1.15-src google-chrome-stable grive linux-hwe-5.4-headers-5.4.0-56 skypeforlinux teams
2021-02-21 08:32:57,853 DEBUG updateSourcesList()
2021-02-21 08:32:57,868 DEBUG rewriteSourcesList() with mirror_check
2021-02-21 08:32:57,868 DEBUG ['ubuntu-minimal', 'ubuntu-standard']
2021-02-21 08:32:57,868 DEBUG Checking pkg: ubuntu-minimal
2021-02-21 08:32:57,871 DEBUG Checking pkg: ubuntu-standard
2021-02-21 08:32:57,873 DEBUG examining: 'deb http://fr.archive.ubuntu.com/ubuntu/ bionic main restricted'
2021-02-21 08:32:57,873 DEBUG verifySourcesListEntry: deb http://fr.archive.ubuntu.com/ubuntu/ focal main restricted
2021-02-21 08:32:57,873 DEBUG url_downloadable: http://fr.archive.ubuntu.com/ubuntu//dists/focal/Release
2021-02-21 08:32:57,873 DEBUG s='http' n='fr.archive.ubuntu.com' p='/ubuntu//dists/focal/Release' q='' f=''
2021-02-21 08:32:57,975 DEBUG entry 'deb http://fr.archive.ubuntu.com/ubuntu/ focal main restricted' updated to new dist
2021-02-21 08:32:57,975 DEBUG examining: 'deb http://fr.archive.ubuntu.com/ubuntu/ bionic-update...

Read more...

Toto (chomisyann) wrote :

Anyone managed to make it work ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers